/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package socialnetwork.entities;

import java.util.Set;

/**
 * Describes basic group in our network.
 * @author gsnewmark
 */
public interface IGroup {
    
    /**
     * @return name of this group
     */
    public String getName();
    
    /**
     * @return identification number of group
     */
    public Long getId();
    
    /**
     * @return list of all plain users (students)
     */
    public Set<IUser> getUserList();
}
