/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package socialnetwork.managedbeans;

import javax.ejb.EJB;
import socialnetwork.ejb.SocNetworkDAO;
import socialnetwork.entities.IUser;

/**
 * Governs login logic.
 * @author gsnewmark
 */
public class LoginBackingBean {
    @EJB
    private SocNetworkDAO socNetworkDAO;
    private String _login;
    private String _password;
    private IUser _student;

    /** Creates a new instance of LoginBackingBean */
    public LoginBackingBean() {
    }
    
    public String getLogin() {
        return _login;
    }

    public void setLogin(String _login) {
        this._login = _login;
    }

    public String getPassword() {
        return _password;
    }

    public void setPassword(String _password) {
        this._password = _password;
    }

    public IUser getStudent() {
        return _student;
    }

    public void setStudent(IUser _student) {
        this._student = _student;
    }
    
    /**
     * Checks whether the user is presented in DB.
     * @return true if user is in DB, false otherwise.
     */
    public boolean onLogin() {
        this._student = socNetworkDAO.checkUserLogin(_login, _password);
        if (this._student == null) {
            return false;
        } else {
            return true;
        }
    }
}
