/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package socialnetwork.servlets;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import socialnetwork.ejb.SocNetworkDAO;
import socialnetwork.entities.NetworkUser;

/**
 *
 * @author gsnewmark
 */
public class StudentLogic extends HttpServlet {
    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
            RequestDispatcher rd;
            if (request.getParameter("delete") != null) {
                NetworkUser stud = (NetworkUser) ((List) request.getSession().
                                getAttribute("list")).get(Integer.parseInt(request.getParameter("list_index")));
                ((SocNetworkDAO)getServletContext().getAttribute("DAO")).
                        removeEntryFromUsers(stud);
                rd = getServletContext().getRequestDispatcher("/editStudents");
            } else {
                if (request.getParameter("name") != null
                        && !request.getParameter("name").isEmpty()
                        && request.getParameter("description") != null
                        && !request.getParameter("description").isEmpty()) {
                    ((SocNetworkDAO)getServletContext().getAttribute("DAO")).
                            synchronizeUser((NetworkUser) 
                            request.getSession().getAttribute("stud"));
                    rd = getServletContext().getRequestDispatcher("/editStudents");
                } else {
                    NetworkUser stud;
                    if (request.getParameter("list_index") == null) {
                        stud = new NetworkUser();
                        stud.setIsAdmin(false);
                    } else {
                        stud = (NetworkUser) ((List) request.getSession().
                                getAttribute("list")).get(Integer.parseInt(request.getParameter("list_index")));
                    }
                    request.getSession().setAttribute("stud", stud);
                    rd = getServletContext().getRequestDispatcher("/editStudent");
                }
            }
            rd.forward(request, response);
        }
        finally {
            out.close();
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
